<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.text.*?>

<AnchorPane prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/10.0.2-internal" xmlns:fx="http://javafx.com/fxml/1" fx:controller="controller.local.ModificarProductosController">
    <children>
        <VBox prefHeight="400.0" prefWidth="600.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
            <children>
                <Label alignment="TOP_CENTER" contentDisplay="CENTER" nodeOrientation="LEFT_TO_RIGHT" prefHeight="23.0" prefWidth="599.0" text="Modificar Productos" textAlignment="CENTER" textOverrun="CENTER_WORD_ELLIPSIS">
                </Label>
                <GridPane prefHeight="58.0" prefWidth="600.0">
                    <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" maxWidth="295.0" minWidth="10.0" prefWidth="131.0" />
                  <ColumnConstraints hgrow="SOMETIMES" maxWidth="496.0" minWidth="10.0" prefWidth="405.0" />
                        <ColumnConstraints hgrow="SOMETIMES" maxWidth="496.0" minWidth="10.0" prefWidth="84.0" />
                    </columnConstraints>
                    <rowConstraints>
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                    <children>
                        <Label prefHeight="17.0" prefWidth="109.0" text="Codigo, nombre:" />
                        <ComboBox fx:id="cmbCodigoNombre" onAction="#cmbCodigoNombre_action" prefHeight="25.0" prefWidth="410.0" GridPane.columnIndex="1" />
                    </children>
                </GridPane>
                <GridPane prefHeight="104.0" prefWidth="600.0">
                    <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" maxWidth="313.0" minWidth="10.0" prefWidth="125.0" />
                        <ColumnConstraints hgrow="SOMETIMES" maxWidth="496.0" minWidth="10.0" prefWidth="242.0" />
                        <ColumnConstraints hgrow="SOMETIMES" maxWidth="496.0" minWidth="10.0" prefWidth="233.0" />
                    </columnConstraints>
                    <rowConstraints>
                        <RowConstraints maxHeight="52.0" minHeight="10.0" prefHeight="35.0" vgrow="SOMETIMES" />
                        <RowConstraints maxHeight="55.0" minHeight="10.0" prefHeight="36.0" vgrow="SOMETIMES" />
                        <RowConstraints maxHeight="55.0" minHeight="10.0" prefHeight="29.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                    <children>
                        <Label text="Descuento" GridPane.rowIndex="2" />
                        <TextField fx:id="txtDescuento" prefHeight="68.0" prefWidth="212.0" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                        <TextField fx:id="txtCantidad" prefHeight="25.0" prefWidth="114.0" GridPane.columnIndex="1" />
                        <TextField fx:id="txtPrecio" prefHeight="12.0" prefWidth="212.0" GridPane.columnIndex="1" GridPane.rowIndex="1" />
                        <Label text="Precio:" GridPane.rowIndex="1" />
                  <Label fx:id="lblCantidadActual" prefHeight="17.0" prefWidth="76.0" GridPane.columnIndex="2" />
                  <Label fx:id="lblPrecioActual" GridPane.columnIndex="2" GridPane.rowIndex="1" />
                  <Label fx:id="lblDescuentoActual" GridPane.columnIndex="2" GridPane.rowIndex="2" />
                  <HBox prefHeight="46.0" prefWidth="109.0">
                     <children>
                              <Label prefHeight="58.0" prefWidth="54.0" text="Cantidad:" />
                        <VBox prefHeight="46.0" prefWidth="65.0">
                           <children>
                              <RadioButton fx:id="rbtnAgregarCantidad" mnemonicParsing="false" prefHeight="35.0" prefWidth="68.0" text="Agregar">
                                 <font>
                                    <Font size="11.0" />
                                 </font>
                              </RadioButton>
                              <RadioButton fx:id="rbtnCambiarCantidad" mnemonicParsing="false" text="Cambiar">
                                 <font>
                                    <Font size="11.0" />
                                 </font>
                              </RadioButton>
                           </children>
                        </VBox>
                     </children>
                  </HBox>
                    </children>
                </GridPane>
                <ButtonBar prefHeight="40.0" prefWidth="200.0">
                    <buttons>
                        <GridPane prefHeight="40.0" prefWidth="590.0">
                            <columnConstraints>
                                <ColumnConstraints hgrow="SOMETIMES" maxWidth="339.0" minWidth="10.0" prefWidth="310.0" />
                                <ColumnConstraints hgrow="SOMETIMES" maxWidth="364.0" minWidth="10.0" prefWidth="203.0" />
                                <ColumnConstraints hgrow="SOMETIMES" maxWidth="99.0" minWidth="8.0" prefWidth="68.0" />
                            </columnConstraints>
                            <rowConstraints>
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                            </rowConstraints>
                            <children>
                                <Button mnemonicParsing="false" onAction="#btnModificar_action" prefHeight="25.0" prefWidth="155.0" text="Modificar" GridPane.columnIndex="1" />
                            </children>
                        </GridPane>
                    </buttons>
                </ButtonBar>
                <TableView fx:id="tblProductos" prefHeight="169.0" prefWidth="600.0">
                    <columns>
                        <TableColumn fx:id="clmCodigo" prefWidth="64.0" text="Codigo" />
                        <TableColumn fx:id="clmNombre" minWidth="0.0" prefWidth="206.0" text="Nombre" />
                        <TableColumn fx:id="clmCantidad" prefWidth="108.0" text="Cantidad" />
                        <TableColumn fx:id="clmPrecio" prefWidth="150.0" text="Precio" />
                        <TableColumn fx:id="clmDescuento" prefWidth="69.0" text="Descuento" />
                    </columns>
                </TableView>
            <Button mnemonicParsing="false" onAction="#btnEliminar" prefHeight="25.0" prefWidth="61.0" text="Eliminar" />
            </children>
        </VBox>
    </children>
</AnchorPane>
